Bug 58327 - [Leopard Intel Debug Tests] fast/events/tabindex-focus-blur-all.html crashing since (83513, 83521]
Summary: [Leopard Intel Debug Tests] fast/events/tabindex-focus-blur-all.html crashing...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.5
: P2 Normal
Assignee: Chris Marrin
URL:
Keywords: InRadar, LayoutTestFailure, PlatformOnly, Regression
: 52115 (view as bug list)
Depends on: 60641
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 08:47 PDT by Jessie Berlin
Modified: 2011-05-11 11:14 PDT (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Berlin 2011-04-12 08:47:09 PDT
http://build.webkit.org/builders/Leopard%20Intel%20Debug%20%28Tests%29/builds/28792
http://build.webkit.org/results/Leopard%20Intel%20Debug%20(Tests)/r83521%20(28793)/fast/events/tabindex-focus-blur-all-crash-log.txt

I suspect http://trac.webkit.org/changeset/83518, but I am not sure as there are a bunch of rendering changes in that time period.

The test should be skipped on Leopard until it is fixed.
Comment 1 Jessie Berlin 2011-04-12 08:58:54 PDT
Added to the Leopard skipped list in http://trac.webkit.org/changeset/83592
Comment 2 Jessie Berlin 2011-04-12 13:58:18 PDT
<rdar://problem/9273906>
Comment 3 Laszlo Gombos 2011-05-08 23:16:17 PDT
*** Bug 52115 has been marked as a duplicate of this bug. ***
Comment 4 Laszlo Gombos 2011-05-08 23:19:50 PDT
It seems that a similar issue has been seen on the Qt (bug 52215) and Gtk ports (bug 50155).
Comment 5 Jessie Berlin 2011-05-09 05:52:43 PDT
(In reply to comment #4)
> It seems that a similar issue has been seen on the Qt (bug 52215) and Gtk ports (bug 50155).

Then the test should really be disabled rather than skipped.
Comment 6 Chang Shu 2011-05-11 10:05:06 PDT
I observed a crash on Snow Leopard Intel Release build for WebKit2.
Not sure if it's the same issue. Below is the crash report.

WebKitBuild/Release/WebKitTestRunner LayoutTests/fast/events/tabindex-focus-blur-all.html 
2011-05-11 12:58:59.370 PluginProcess[66949:903] Process manager already initialized -- can't fully enable headless mode.
Exception in thread "AWT-AppKit" netscape.javascript.JSException: Plugin instance for applet ID 2 was already released
	at sun.plugin2.main.server.LiveConnectSupport.getInfo(LiveConnectSupport.java:405)
	at sun.plugin2.main.server.LiveConnectSupport.shutdown(LiveConnectSupport.java:41)
	at sun.plugin2.main.server.JVMInstance.unregisterApplet(JVMInstance.java:1400)
	at sun.plugin2.main.server.JVMInstance.recycleAppletID(JVMInstance.java:393)
	at sun.plugin2.main.server.JVMManager.recycleAppletID(JVMManager.java:349)
	at sun.plugin2.main.server.MozillaPlugin.stopApplet(MozillaPlugin.java:298)
	at sun.plugin2.main.server.MozillaPlugin.destroy(MozillaPlugin.java:203)
Exception in thread "AWT-AppKit" netscape.javascript.JSException: Plugin instance for applet ID 1 was already released
	at sun.plugin2.main.server.LiveConnectSupport.getInfo(LiveConnectSupport.java:405)
	at sun.plugin2.main.server.LiveConnectSupport.shutdown(LiveConnectSupport.java:41)
	at sun.plugin2.main.server.JVMInstance.unregisterApplet(JVMInstance.java:1400)
	at sun.plugin2.main.server.JVMInstance.recycleAppletID(JVMInstance.java:393)
	at sun.plugin2.main.server.JVMManager.recycleAppletID(JVMManager.java:349)
	at sun.plugin2.main.server.MozillaPlugin.stopApplet(MozillaPlugin.java:298)
	at sun.plugin2.main.server.MozillaPlugin.destroy(MozillaPlugin.java:203)
Exception in thread "AWT-AppKit" netscape.javascript.JSException: Plugin instance for applet ID 4 was already released
	at sun.plugin2.main.server.LiveConnectSupport.getInfo(LiveConnectSupport.java:405)
	at sun.plugin2.main.server.LiveConnectSupport.shutdown(LiveConnectSupport.java:41)
	at sun.plugin2.main.server.JVMInstance.unregisterApplet(JVMInstance.java:1400)
	at sun.plugin2.main.server.JVMInstance.recycleAppletID(JVMInstance.java:393)
	at sun.plugin2.main.server.JVMManager.recycleAppletID(JVMManager.java:349)
	at sun.plugin2.main.server.MozillaPlugin.stopApplet(MozillaPlugin.java:298)
	at sun.plugin2.main.server.MozillaPlugin.destroy(MozillaPlugin.java:203)
Exception in thread "AWT-AppKit" netscape.javascript.JSException: Plugin instance for applet ID 3 was already released
	at sun.plugin2.main.server.LiveConnectSupport.getInfo(LiveConnectSupport.java:405)
	at sun.plugin2.main.server.LiveConnectSupport.shutdown(LiveConnectSupport.java:41)
	at sun.plugin2.main.server.JVMInstance.unregisterApplet(JVMInstance.java:1400)
	at sun.plugin2.main.server.JVMInstance.recycleAppletID(JVMInstance.java:393)
	at sun.plugin2.main.server.JVMManager.recycleAppletID(JVMManager.java:349)
	at sun.plugin2.main.server.MozillaPlugin.stopApplet(MozillaPlugin.java:298)
	at sun.plugin2.main.server.MozillaPlugin.destroy(MozillaPlugin.java:203)
Content-Type: text/plain
331 focus / 331 blur events dispatched, and should be 331 / 331 PASSED
Total of 0 focus test(s) failed. PASSED
#EOF
#EOF
#EOF